Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jna.platform.win32
Class WinNT.OSVERSIONINFO

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.WinNT.OSVERSIONINFO

Enclosing interface:
  WinNT

    public static class WinNT.OSVERSIONINFO

extends com.sun.jna.Structure

The OSVERSIONINFO data structure contains operating system version information. The information includes major and minor version numbers, a build number, a platform identifier, and descriptive text about the operating system. This structure is used with the GetVersionEx function.

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`com.sun.jna.Structure.ByReference, com.sun.jna.Structure.ByValue`

Field Summary
`WinDef.DWORD` | `dwBuildNumber` Build number of the operating system.
`WinDef.DWORD` | `dwMajorVersion` Major version number of the operating system.
`WinDef.DWORD` | `dwMinorVersion` Minor version number of the operating system.
`WinDef.DWORD` | `dwOSVersionInfoSize` Size of this data structure, in bytes.
`WinDef.DWORD` | `dwPlatformId` Operating system platform.
`char[]` | `szCSDVersion` Pointer to a null-terminated string, such as "Service Pack 3", that indicates the latest Service Pack installed on the system.

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`WinNT.OSVERSIONINFO()`
`WinNT.OSVERSIONINFO(com.sun.jna.Pointer memory)`

Method Summary

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### dwOSVersionInfoSize

    public WinDef.DWORD dwOSVersionInfoSize

  Size of this data structure, in bytes. Set this member to sizeof(OSVERSIONINFO) before calling the GetVersionEx function.

### dwMajorVersion

    public WinDef.DWORD dwMajorVersion

  Major version number of the operating system.

### dwMinorVersion

    public WinDef.DWORD dwMinorVersion

  Minor version number of the operating system.

### dwBuildNumber

    public WinDef.DWORD dwBuildNumber

  Build number of the operating system.

### dwPlatformId

    public WinDef.DWORD dwPlatformId

  Operating system platform.

### szCSDVersion

    public char[] szCSDVersion

  Pointer to a null-terminated string, such as "Service Pack 3", that indicates the latest Service Pack installed on the system.

Constructor Detail

### WinNT.OSVERSIONINFO

    public WinNT.OSVERSIONINFO()

### WinNT.OSVERSIONINFO

    public WinNT.OSVERSIONINFO(com.sun.jna.Pointer memory)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD